#
# spec file for package lastpass-cli
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lastpass-cli
Version:        1.0.0
Release:        2.8
Summary:        LastPass command line interface tool
License:        GPL-2.0
Group:          Productivity/Security
Url:            https://github.com/LastPass/lastpass-cli
Source:         https://github.com/lastpass/lastpass-cli/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  asciidoc
BuildRequires:  libxslt-tools
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(openssl)
Recommends:     bash-completion
Recommends:     pinentry
Recommends:     xclip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
LastPass is a freemium password management service which stores encrypted
passwords in the cloud. This package provided it's command line interface
tool.

%prep
%setup -q

%build
export CFLAGS="%{optflags} -pipe"
make %{?_smp_mflags} all doc-man

%install
%make_install install-doc

%files
%defattr(-,root,root)
%doc CHANGELOG.md README.md COPYING
%{_bindir}/lpass
%{_mandir}/man1/lpass.1%{ext_man}
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/lpass

%changelog
* Sun Jul 31 2016 mpluskal@suse.com
- Update to version 1.0.0:
  * New command lpass status shows whether or not the user is
    logged in with agent, from Nick Knudson
  * lpass add can now be passed --note-type=X in order to add a
    secure note using a template. Specifying an unknown note
    template will list the available templates.
  * lpass ls now shows username with --long, from Alli Witheford
  * Bash completions are now installed with make install, from
    Eli Schwartz
  * Fish shell completions supplied by Joar Wanboarg
  * Initial support for adding (lpass add --app) and editing
    applications
  * Updates to manpage for ls, passwd, add, and basic usage
    examples
  * lpass now follows XDG base directory specifications for its
    files on platforms that use it. Set LP_HOME to ~/.lpass to
    keep the previous location
  * Bugfix: resolved syncing problems on some platforms
    (notably RHEL/CentOS) related to improper multiprocess usage
    of libcurl (github #166)
  * Bugfix: lpass show no longer crashes when a searched-for field
    is not found (github #167)
  * Bugfix: lpass no longer exits with an error if the blob is
    empty but otherwise without parsing errors. This fixes the case
    where a new user could not use the application without first
    adding a site elsewhere.
  * LPASS_LOG_LEVEL learned level=8 with which lpass will also dump
    libcurl verbose logs showing all traffic for debugging (not
    recommended for general use due to potentially sensitive
    headers being logged).
* Sat Apr 16 2016 mpluskal@suse.com
- Initial package for version 0.9.0
